WordPress.org

Ready to get started?Download WordPress

Forums

Quick Chat
Plugin relies on jquery.cookie.js which may be blocked by mod_security (3 posts)

  1. Yaron Guez
    Member
    Posted 2 years ago #

    Hi, this plugin didn't work for me because jquery.cookie.js was not loading due to a 404 error. After much research I found out that an Apache module called mod_security has a rule, 950004, that prevents loading files with the word cookie in the name. The easiest way to disable this rule, since finding the whitelist can be tricky, is to contact your host and request they do so.

    http://wordpress.org/extend/plugins/quick-chat/

  2. Marko-M
    Member
    Plugin Author

    Posted 2 years ago #

    Hello,
    thanks for reporting this. Does this rule matches only script name? If it is then changing script file name should be enough?

    Regards

  3. Yaron Guez
    Member
    Posted 2 years ago #

    I BELIEVE that the rule only matches the file name, so changing it should be enough. I didn't want to break future upgrades, though, to the plugin or to the script itself.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic